summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-07 12:13:37 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-07 12:13:37 +0000
commit6764737b7ea99491e7afb80a7322ca5f3e7fece6 (patch)
tree2b4f1cdd87f5a9d7afd3e8f5a4d47575df3953eb /jenkins
parent9e679fb15614e6b8e5272a700f4c8401bfd52dc3 (diff)
onsuccess: #786: 1: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | 0 | # build_abe glibc -- --disable install: | 1 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log613
-rw-r--r--jenkins/notify-init.log133
-rw-r--r--jenkins/run-build.env6
4 files changed, 379 insertions, 375 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index cbd8dc6..5243aa1 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#785-glibc-R1
+#786-glibc-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index dbac481..626e8d9 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -9,8 +9,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-+ setup_notify_environment
# setup_notify_environment
++ setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -20,22 +20,22 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+# Debug traces :
+ ci_config=master-aarch64
+ echo '# Debug traces :'
-# Debug traces :
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/784/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/784/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/'
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/'
+ echo '# Using dir : artifacts'
+ echo ''
@@ -44,9 +44,9 @@
+ set +x
+ declare -Ag pw
+ '[' ignore = precommit ']'
+# check_source_changes
+ check_source_changes
+ echo '# check_source_changes'
-# check_source_changes
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
++ set +x
@@ -76,7 +76,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x5dd3bda59c2d9da138f0d98808d087cdb95cdc17 '!=' xf957f47df75b9fab995754011491edebc6feb147 ']'
+++ '[' x091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e '!=' x5dd3bda59c2d9da138f0d98808d087cdb95cdc17 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -89,17 +89,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ first_bad=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=f957f47df75b9fab995754011491edebc6feb147
++ last_good=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+ local res
+ res=0
-+ wait 68989
++ wait 76032
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -113,20 +113,20 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=f957f47df75b9fab995754011491edebc6feb147
++ base_rev=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ git -C glibc rev-parse '5dd3bda59c2d9da138f0d98808d087cdb95cdc17^@'
++ cur_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ git -C glibc rev-parse '091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' f957f47df75b9fab995754011491edebc6feb147 = f957f47df75b9fab995754011491edebc6feb147 ']'
++ '[' 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 = 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 ']'
+ return 0
+ change_kind=single_commit
-+ echo '# Debug traces :'
# Debug traces :
++ echo '# Debug traces :'
# change_kind=single_commit : glibc
+ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
@@ -136,19 +136,19 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=f957f47df75b9fab995754011491edebc6feb147
++ base_rev=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ git -C glibc rev-list --count f957f47df75b9fab995754011491edebc6feb147..5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ cur_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ git -C glibc rev-list --count 5dd3bda59c2d9da138f0d98808d087cdb95cdc17..091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+ c_commits=1
-+ echo '# rev for glibc : f957f47df75b9fab995754011491edebc6feb147..5dd3bda59c2d9da138f0d98808d087cdb95cdc17 (1 commits)'
-# rev for glibc : f957f47df75b9fab995754011491edebc6feb147..5dd3bda59c2d9da138f0d98808d087cdb95cdc17 (1 commits)
-
++ echo '# rev for glibc : 5dd3bda59c2d9da138f0d98808d087cdb95cdc17..091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e (1 commits)'
+ echo ''
+# rev for glibc : 5dd3bda59c2d9da138f0d98808d087cdb95cdc17..091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e (1 commits)
+
+ setup_stages_to_run
+ '[' ignore = onregression ']'
+ '[' ignore = precommit ']'
@@ -233,6 +233,7 @@
+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+ local refspec
+ '[' xmaster = x ']'
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+ refspec=+refs/heads/master:refs/remotes/origin/master
+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+ local duration=1h
@@ -242,10 +243,9 @@
+ local n=0
+ local ret=0
+ '[' 0 -eq 3 ']'
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+ ret=0
-+ wait 69069
++ wait 76112
+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+ '[' 0 -eq 0 ']'
+ break
@@ -306,34 +306,34 @@ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/re
++ try_ref=refs/remotes/origin/master
++ ret=0
+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=58fc6c940b
+++ sha1=9d883b9e32
++ '[' 0 -ne 0 ']'
-++ echo 58fc6c940b
-+ sha1=58fc6c940b
-+ git -C interesting-commits checkout --detach 58fc6c940b
+++ echo 9d883b9e32
++ sha1=9d883b9e32
++ git -C interesting-commits checkout --detach 9d883b9e32
Warning: you are leaving 1 commit behind, not connected to
any of your branches:
- 858d07561f Add entry 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/
+ c0ba372e86 Add entry 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/
If you want to keep it by creating a new branch, this may be a good time
to do so with:
- git branch <new-branch-name> 858d07561f
+ git branch <new-branch-name> c0ba372e86
-HEAD is now at 58fc6c940b Add entry 6e9ee44d96e5bda8808dd9d8ccf58d2525383f6b from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-thumb_m33_eabi-build/202/
+HEAD is now at 9d883b9e32 Add entry f1837d9c3f2dc2a5c232f4eae4c4bd5a7f77baf8 from https://ci.linaro.org/job/tcwg_gnu_native_check_binutils--master-arm-build/519/
+ false
+ dryrun='echo DRYRUN: '
+ local jira_dir jira_key=
-++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ local dir=glibc/sha1
++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' 2 -ge 3 ']'
++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ jira_dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ jira_dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira
+++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ jira_dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ jira_dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira
+ '[' init = full ']'
+ true
+ git -C interesting-commits remote update -p
@@ -368,63 +368,63 @@ Fetching origin
+ chmod -R +rw interesting-commits
+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-+ update_interesting_commits init ''
# update_interesting_commits
++ update_interesting_commits init ''
+ echo '# update_interesting_commits'
+ local stage=init
+ local jira_key=
+ local subdir3 subdir4 subdir4
-++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ local dir=glibc/sha1
++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' 2 -ge 3 ']'
++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ subdir3=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 tcwg_glibc_build
+++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ subdir3=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e tcwg_glibc_build
++ local dir=glibc/sha1
++ '[' 3 -ge 2 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' 3 -ge 3 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
++ '[' 3 -ge 4 ']'
-++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
-+ subdir4=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
-++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 tcwg_glibc_build master-aarch64
+++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
++ subdir4=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
+++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e tcwg_glibc_build master-aarch64
++ local dir=glibc/sha1
++ '[' 4 -ge 2 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' 4 -ge 3 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
++ '[' 4 -ge 4 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
-++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
-+ subdir5=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
-+ '[' -d interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17 ']'
-+ mkdir -p interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e ']'
++ mkdir -p interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+ get_current_manifest BUILD_URL
+ get_manifest artifacts/manifest.sh BUILD_URL
+ set +x
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/first_url
-+ mkdir -p interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/first_url
++ mkdir -p interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
+ get_current_manifest BUILD_URL
+ get_manifest artifacts/manifest.sh BUILD_URL
+ set +x
-+ echo f957f47df75b9fab995754011491edebc6feb147
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/last_good
++ echo 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/last_good
+ '[' init '!=' full ']'
+ return
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ git -C interesting-commits commit -m 'Add entry 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/'
-[detached HEAD 8a4d116f59] Add entry 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/
++ git -C interesting-commits commit -m 'Add entry 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/'
+[detached HEAD 5b4ffd0dc4] Add entry 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/
3 files changed, 3 insertions(+)
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/first_url
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/build_url
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/last_good
-+ wait 81370
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/first_url
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/last_good
++ wait 88417
+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+ break
@@ -438,22 +438,22 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ first_icommit_to_report=false
+ '[' xsingle_commit '!=' xsingle_commit ']'
+ local isubdir
-++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ local dir=glibc/sha1
++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' 2 -ge 3 ']'
++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ isubdir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/first_url ']'
+++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ isubdir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/first_url ']'
+ local first_url
-++ cat interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/first_url
-+ first_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/
+++ cat interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/first_url
++ first_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ '[' https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/ = https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/ ']'
++ '[' https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/ = https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/ ']'
+ first_icommit_to_report=true
+ post_interesting_commits full
+ set -euf -o pipefail
@@ -531,7 +531,7 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+ ret=0
-+ wait 81440
++ wait 88487
+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+ '[' 0 -eq 0 ']'
+ break
@@ -592,34 +592,34 @@ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/re
++ try_ref=refs/remotes/origin/master
++ ret=0
+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=58fc6c940b
+++ sha1=9d883b9e32
++ '[' 0 -ne 0 ']'
-++ echo 58fc6c940b
-+ sha1=58fc6c940b
-+ git -C interesting-commits checkout --detach 58fc6c940b
+++ echo 9d883b9e32
++ sha1=9d883b9e32
++ git -C interesting-commits checkout --detach 9d883b9e32
Warning: you are leaving 1 commit behind, not connected to
any of your branches:
- 8a4d116f59 Add entry 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/
+ 5b4ffd0dc4 Add entry 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/
If you want to keep it by creating a new branch, this may be a good time
to do so with:
- git branch <new-branch-name> 8a4d116f59
+ git branch <new-branch-name> 5b4ffd0dc4
-HEAD is now at 58fc6c940b Add entry 6e9ee44d96e5bda8808dd9d8ccf58d2525383f6b from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-thumb_m33_eabi-build/202/
+HEAD is now at 9d883b9e32 Add entry f1837d9c3f2dc2a5c232f4eae4c4bd5a7f77baf8 from https://ci.linaro.org/job/tcwg_gnu_native_check_binutils--master-arm-build/519/
+ false
+ dryrun='echo DRYRUN: '
+ local jira_dir jira_key=
-++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ local dir=glibc/sha1
++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' 2 -ge 3 ']'
++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ jira_dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ jira_dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira
+++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ jira_dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ jira_dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira
+ '[' full = full ']'
+ false
+ true
@@ -661,45 +661,45 @@ Fetching origin
+ local stage=full
+ local jira_key=
+ local subdir3 subdir4 subdir4
-++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ local dir=glibc/sha1
++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' 2 -ge 3 ']'
++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ subdir3=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 tcwg_glibc_build
+++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ subdir3=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e tcwg_glibc_build
++ local dir=glibc/sha1
++ '[' 3 -ge 2 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' 3 -ge 3 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
++ '[' 3 -ge 4 ']'
-++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
-+ subdir4=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
-++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 tcwg_glibc_build master-aarch64
+++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
++ subdir4=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
+++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e tcwg_glibc_build master-aarch64
++ local dir=glibc/sha1
++ '[' 4 -ge 2 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' 4 -ge 3 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
++ '[' 4 -ge 4 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
-++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
-+ subdir5=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
-+ '[' -d interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17 ']'
-+ mkdir -p interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e ']'
++ mkdir -p interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+ get_current_manifest BUILD_URL
+ get_manifest artifacts/manifest.sh BUILD_URL
+ set +x
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/first_url
-+ mkdir -p interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/first_url
++ mkdir -p interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
+ get_current_manifest BUILD_URL
+ get_manifest artifacts/manifest.sh BUILD_URL
+ set +x
-+ echo f957f47df75b9fab995754011491edebc6feb147
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/last_good
++ echo 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/last_good
+ '[' full '!=' full ']'
+ gnu_print_result --oneline
+ false
@@ -712,37 +712,37 @@ Fetching origin
+ '[' 0 = 0 ']'
+ echo Success
+ return 0
-+ merge_status_summary interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
++ merge_status_summary interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
+ set -euf -o pipefail
-+ local subdir=interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
++ local subdir=interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
+ local cur_file cur best= best_file
+ read -r cur_file
-++ find interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ find interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build -mindepth 2 -maxdepth 2 -name status-summary.txt
++ sort
-++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/status-summary.txt
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/status-summary.txt
+ cur=Success
+ '[' Success -le '' ']'
-/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
+ best=Success
-+ best_file=interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/status-summary.txt
++ best_file=interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/status-summary.txt
+ read -r cur_file
-+ cat interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/status-summary.txt
-+ merge_status_summary interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ cat interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/status-summary.txt
++ merge_status_summary interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+ set -euf -o pipefail
-+ local subdir=interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ local subdir=interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+ local cur_file cur best= best_file
+ read -r cur_file
-++ find interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17 -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ find interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e -mindepth 2 -maxdepth 2 -name status-summary.txt
++ sort
-++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/status-summary.txt
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/status-summary.txt
+ cur=Success
+ '[' Success -le '' ']'
-/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
+ best=Success
-+ best_file=interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/status-summary.txt
++ best_file=interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/status-summary.txt
+ read -r cur_file
-+ cat interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/status-summary.txt
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/status-summary.txt glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/status-summary.txt glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/status-summary.txt
++ cat interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/status-summary.txt
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/status-summary.txt glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/status-summary.txt glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/status-summary.txt
+ gnu_print_result --long
+ false
+ local print_arg=--long
@@ -769,65 +769,65 @@ Fetching origin
# build_abe glibc -- --disable install:
1'
+ return 0
-+ cat interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/status-summary.txt
++ cat interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/status-summary.txt
+ sed 's/^/* /'
-+ print_icommits_link glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/details.txt
++ print_icommits_link glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/details.txt
+ set -euf -o pipefail
-+ local path=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/details.txt
++ local path=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/details.txt
+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/details.txt
-+ cat interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/build_url
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/details.txt glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/status.txt
-+ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/details.txt
++ cat interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/build_url
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/details.txt glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/status.txt
++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/summary.txt ']'
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/784/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/artifact/artifacts
+ cat
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+ local ci_config
+++ cd interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
+ read ci_config
-++ cd interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
++ ls
-+ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/summary.txt ']'
-+ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/status.txt ']'
++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/status.txt ']'
+ echo '* master-aarch64'
-+ cat interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/status.txt
++ cat interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/status.txt
+ sed 's/^/*/'
+ read ci_config
-+ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/status-summary.txt/summary.txt ']'
-+ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/status-summary.txt/status.txt ']'
++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/status-summary.txt/status.txt ']'
+ continue
+ read ci_config
-+ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/status.txt/summary.txt ']'
-+ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/status.txt/status.txt ']'
++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/status.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/status.txt/status.txt ']'
+ continue
+ read ci_config
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/status.txt
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/status.txt
+ local ci_project
+ read ci_project
-++ cd interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ cd interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ ls
-+ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/first_url/status.txt ']'
++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/first_url/status.txt ']'
+ continue
+ read ci_project
-+ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/status-summary.txt/status.txt ']'
++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/status-summary.txt/status.txt ']'
+ continue
+ read ci_project
-+ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/status.txt/status.txt ']'
++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/status.txt/status.txt ']'
+ continue
+ read ci_project
-+ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/status.txt ']'
++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/status.txt ']'
+ echo '* tcwg_glibc_build'
-+ cat interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/status.txt
++ cat interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/status.txt
+ sed 's/^/*/'
+ read ci_project
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/status.txt
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/status.txt
+ print_commits --short
+ set -euf -o pipefail
+ false
@@ -839,40 +839,40 @@ Fetching origin
+ '[' --short = --link ']'
+ local describe
+ '[' '' = '' ']'
-++ describe_sha1 glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 true
+++ describe_sha1 glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e true
++ local component=glibc
-++ local sha1=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ local sha1=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ local anything=true
++ match=()
++ local -a match
++ case "$component" in
-++ git -C glibc describe 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ describe=glibc-2.38.9000-234-g5dd3bda59c
-++ echo glibc-2.38.9000-234-g5dd3bda59c
+++ git -C glibc describe 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ describe=glibc-2.38.9000-235-g091ee2190d
+++ echo glibc-2.38.9000-235-g091ee2190d
++ sed 's,^basepoints/,,'
-+ describe=glibc-2.38.9000-234-g5dd3bda59c
++ describe=glibc-2.38.9000-235-g091ee2190d
+ '[' --short = --oneline ']'
+ '[' '' = '' ']'
-+ echo 'commit glibc-2.38.9000-234-g5dd3bda59c'
++ echo 'commit glibc-2.38.9000-235-g091ee2190d'
+ local tmpfile
++ mktemp
-+ tmpfile=/tmp/tmp.iL53gpSIyZ
-+ git -C glibc log -n1 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ tmpfile=/tmp/tmp.NnqV15iOjI
++ git -C glibc log -n1 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+ tail -n +2
-+ head -n 10 /tmp/tmp.iL53gpSIyZ
-++ cat /tmp/tmp.iL53gpSIyZ
++ head -n 10 /tmp/tmp.NnqV15iOjI
+++ cat /tmp/tmp.NnqV15iOjI
++ wc -l
-+ more_lines=-4
-+ '[' -4 -gt 0 ']'
-+ rm /tmp/tmp.iL53gpSIyZ
++ more_lines=-6
++ '[' -6 -gt 0 ']'
++ rm /tmp/tmp.NnqV15iOjI
+ '[' '' '!=' '' ']'
+ return 0
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/commit-log.txt
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/commit-log.txt
+ true
-+ local jira_dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira
-+ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/key ']'
-+ '[' -e interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira ']'
-+ mkdir interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira
++ local jira_dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira
++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/key ']'
++ '[' -e interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira ']'
++ mkdir interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira
+ '[' '' '!=' '' ']'
++ print_commits --oneline
++ set -euf -o pipefail
@@ -885,124 +885,124 @@ Fetching origin
++ '[' --oneline = --link ']'
++ local describe
++ '[' '' = '' ']'
-+++ describe_sha1 glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 true
++++ describe_sha1 glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e true
+++ local component=glibc
-+++ local sha1=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++++ local sha1=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
-+++ git -C glibc describe 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ describe=glibc-2.38.9000-234-g5dd3bda59c
-+++ echo glibc-2.38.9000-234-g5dd3bda59c
++++ git -C glibc describe 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ describe=glibc-2.38.9000-235-g091ee2190d
++++ echo glibc-2.38.9000-235-g091ee2190d
+++ sed 's,^basepoints/,,'
-++ describe=glibc-2.38.9000-234-g5dd3bda59c
+++ describe=glibc-2.38.9000-235-g091ee2190d
++ '[' --oneline = --oneline ']'
-++ echo glibc-2.38.9000-234-g5dd3bda59c
+++ echo glibc-2.38.9000-235-g091ee2190d
++ return 0
-++ cat interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/status-summary.txt
-+ echo glibc-2.38.9000-234-g5dd3bda59c: Success
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/summary
+++ cat interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/status-summary.txt
++ echo glibc-2.38.9000-235-g091ee2190d: Success
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/summary
+ cat
-++ cat interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/commit-log.txt
-++ cat interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/status.txt
-++ print_icommits_link glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/yaml
+++ cat interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/commit-log.txt
+++ cat interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/status.txt
+++ print_icommits_link glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/yaml
++ set -euf -o pipefail
-++ local path=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/yaml
+++ local path=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/yaml
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/yaml
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/description
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/yaml
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/description
+ update_jira_card
+ set -euf -o pipefail
+ echo '# update_jira_card'
# update_jira_card
+ local jira_dir
-++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ local dir=glibc/sha1
++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' 2 -ge 3 ']'
++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ jira_dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ jira_dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira
+++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ jira_dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ jira_dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira
+ components=()
+ local -a components
+ case "$changed_single_component" in
+ components+=(Glibc)
+ IFS=,
+ echo Glibc
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/components
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/components
+ local commit_date
-++ git -C glibc log -n1 --pretty=%cd --date=iso 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ commit_date='2023-11-06 23:24:48 +0100'
-+ date -d '2023-11-06 23:24:48 +0100' +%Y-%m-%d
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/startdate
+++ git -C glibc log -n1 --pretty=%cd --date=iso 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ commit_date='2023-11-07 12:51:25 +0100'
++ date -d '2023-11-07 12:51:25 +0100' +%Y-%m-%d
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/startdate
+ local key project
++ print_jira_card_key
++ set -euf -o pipefail
++ local jira_dir
-+++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ jira_dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ jira_dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira
-++ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/key ']'
++++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ jira_dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ jira_dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira
+++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/key ']'
++ return 0
+ key=
+ '[' -z '' ']'
-+ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/key'
-WARNING: no existing jira card interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/key
++ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/key'
+WARNING: no existing jira card interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/key
+ return 0
+ local describe
-++ describe_sha1 glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 false
+++ describe_sha1 glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e false
++ local component=glibc
-++ local sha1=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ local sha1=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ local anything=false
++ match=()
++ local -a match
++ case "$component" in
-++ git -C glibc describe 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ describe=glibc-2.38.9000-234-g5dd3bda59c
-+ '[' glibc-2.38.9000-234-g5dd3bda59c '!=' '' ']'
+++ git -C glibc describe 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ describe=glibc-2.38.9000-235-g091ee2190d
++ '[' glibc-2.38.9000-235-g091ee2190d '!=' '' ']'
+ local d
-++ dirname glibc-2.38.9000-234-g5dd3bda59c
+++ dirname glibc-2.38.9000-235-g091ee2190d
+ d=.
+ mkdir -p interesting-commits/glibc/.
+ local symlink=
+ '[' . '!=' . ']'
-+ symlink=sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ rm -f interesting-commits/glibc/glibc-2.38.9000-234-g5dd3bda59c
-+ ln -s sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17 interesting-commits/glibc/glibc-2.38.9000-234-g5dd3bda59c
-+ git -C interesting-commits add glibc/glibc-2.38.9000-234-g5dd3bda59c
++ symlink=sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ rm -f interesting-commits/glibc/glibc-2.38.9000-235-g091ee2190d
++ ln -s sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e interesting-commits/glibc/glibc-2.38.9000-235-g091ee2190d
++ git -C interesting-commits add glibc/glibc-2.38.9000-235-g091ee2190d
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ git -C interesting-commits commit -m 'Add entry 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/'
-[detached HEAD c19739d957] Add entry 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/
- 17 files changed, 74 insertions(+)
- create mode 120000 glibc/glibc-2.38.9000-234-g5dd3bda59c
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/commit-log.txt
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/first_url
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/components
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/description
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/startdate
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/summary
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/status-summary.txt
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/status.txt
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/build_url
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/details.txt
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/last_good
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/status-summary.txt
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/status.txt
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/status-summary.txt
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/status.txt
-+ wait 94058
++ git -C interesting-commits commit -m 'Add entry 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/'
+[detached HEAD edf2f75c92] Add entry 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/
+ 17 files changed, 70 insertions(+)
+ create mode 120000 glibc/glibc-2.38.9000-235-g091ee2190d
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/commit-log.txt
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/first_url
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/components
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/description
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/startdate
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/summary
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/status-summary.txt
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/status.txt
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/details.txt
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/last_good
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/status-summary.txt
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/status.txt
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/status-summary.txt
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/status.txt
++ wait 101109
+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+ break
@@ -1017,20 +1017,20 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ shift 1
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
-+++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ isubdir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ isubdir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ case "$print_arg" in
-++ echo interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ icommit_entry=interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ '[' interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17 '!=' '' ']'
-+ '[' -d interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira ']'
-+ rsync -a interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/ artifacts/notify/jira/
+++ echo interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ icommit_entry=interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e '!=' '' ']'
++ '[' -d interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira ']'
++ rsync -a interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/ artifacts/notify/jira/
+ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
@@ -1055,9 +1055,9 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -1080,15 +1080,15 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=f957f47df75b9fab995754011491edebc6feb147
++ base_rev=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ cur_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+ read -r email
-++ git -C glibc log --pretty=%ae f957f47df75b9fab995754011491edebc6feb147..5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ git -C glibc log --pretty=%ae 5dd3bda59c2d9da138f0d98808d087cdb95cdc17..091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -1099,15 +1099,15 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=f957f47df75b9fab995754011491edebc6feb147
++ base_rev=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ cur_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+ read -r email
-++ git -C glibc log --pretty=%ce f957f47df75b9fab995754011491edebc6feb147..5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ git -C glibc log --pretty=%ce 5dd3bda59c2d9da138f0d98808d087cdb95cdc17..091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -1126,17 +1126,12 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ case "$type" in
+ recipients+=("$type:$email")
+ for email in "${!emails[@]}"
-+ type=cc
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ recipients+=("$type:$email")
-+ for email in "${!emails[@]}"
+ type=to
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$email")
+ IFS=,
-+ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,cc:flaviocruz@gmail.com,samuel.thibault@ens-lyon.org
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,samuel.thibault@ens-lyon.org
++ print_commits --oneline
++ set -euf -o pipefail
++ false
@@ -1148,20 +1143,20 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ '[' --oneline = --link ']'
++ local describe
++ '[' '' = '' ']'
-+++ describe_sha1 glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 true
++++ describe_sha1 glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e true
+++ local component=glibc
-+++ local sha1=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++++ local sha1=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
-+++ git -C glibc describe 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ describe=glibc-2.38.9000-234-g5dd3bda59c
-+++ echo glibc-2.38.9000-234-g5dd3bda59c
++++ git -C glibc describe 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ describe=glibc-2.38.9000-235-g091ee2190d
++++ echo glibc-2.38.9000-235-g091ee2190d
+++ sed 's,^basepoints/,,'
-++ describe=glibc-2.38.9000-234-g5dd3bda59c
+++ describe=glibc-2.38.9000-235-g091ee2190d
++ '[' --oneline = --oneline ']'
-++ echo glibc-2.38.9000-234-g5dd3bda59c
+++ echo glibc-2.38.9000-235-g091ee2190d
++ return 0
++ gnu_print_result --oneline
++ false
@@ -1176,7 +1171,7 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
@@ -1198,21 +1193,21 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-234-g5dd3bda59c: Success on aarch64'
++ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-235-g091ee2190d: Success on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/784/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
@@ -1241,32 +1236,32 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
-+++ describe_sha1 glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 true
++++ describe_sha1 glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e true
+++ local component=glibc
-+++ local sha1=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++++ local sha1=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
-+++ git -C glibc describe 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ describe=glibc-2.38.9000-234-g5dd3bda59c
-+++ echo glibc-2.38.9000-234-g5dd3bda59c
++++ git -C glibc describe 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ describe=glibc-2.38.9000-235-g091ee2190d
++++ echo glibc-2.38.9000-235-g091ee2190d
+++ sed 's,^basepoints/,,'
-++ describe=glibc-2.38.9000-234-g5dd3bda59c
+++ describe=glibc-2.38.9000-235-g091ee2190d
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
-++ echo 'commit glibc-2.38.9000-234-g5dd3bda59c'
+++ echo 'commit glibc-2.38.9000-235-g091ee2190d'
++ local tmpfile
+++ mktemp
-++ tmpfile=/tmp/tmp.GnRxsZo8ZB
-++ git -C glibc log -n1 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ tmpfile=/tmp/tmp.VLvGbTXgz4
+++ git -C glibc log -n1 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ tail -n +2
-++ head -n 10 /tmp/tmp.GnRxsZo8ZB
-+++ cat /tmp/tmp.GnRxsZo8ZB
+++ head -n 10 /tmp/tmp.VLvGbTXgz4
++++ cat /tmp/tmp.VLvGbTXgz4
+++ wc -l
-++ more_lines=-4
-++ '[' -4 -gt 0 ']'
-++ rm /tmp/tmp.GnRxsZo8ZB
+++ more_lines=-6
+++ '[' -6 -gt 0 ']'
+++ rm /tmp/tmp.VLvGbTXgz4
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -1297,7 +1292,7 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ return 0
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
@@ -1324,16 +1319,16 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ print_jira_card_key
++ set -euf -o pipefail
++ local jira_dir
-+++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ jira_dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ jira_dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira
-++ '[' -f interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira/key ']'
++++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ jira_dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ jira_dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira
+++ '[' -f interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira/key ']'
++ return 0
+ key=
+ '[' -z '' ']'
@@ -1350,22 +1345,22 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ shift 1
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
-+++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 tcwg_glibc_build master-aarch64
++++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
-+++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ '[' 4 -ge 3 ']'
-+++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
++++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
-+++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
-+++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
-++ isubdir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
++++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
++++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
+++ isubdir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
++ case "$print_arg" in
-++ print_icommits_link glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ print_icommits_link glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
++ set -euf -o pipefail
-++ local path=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ local path=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
++ print_commits --link
++ set -euf -o pipefail
++ false
@@ -1386,7 +1381,7 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
++ url=glibc.git
++ url='https://sourceware.org/git/?p=glibc.git'
-++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=5dd3bda59c2d9da138f0d98808d087cdb95cdc17'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e'
++ return 0
++ print_last_icommit --status
++ false
@@ -1395,16 +1390,16 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ shift 1
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
-+++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ isubdir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ isubdir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ case "$print_arg" in
-++ cat interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/status.txt
+++ cat interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/status.txt
# generate dashboard
# generate_dashboard_squad
... Skipping
@@ -1423,18 +1418,18 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 94181
++ wait 101232
+ set -euf -o pipefail
+ echo '# generate_lnt_report'
# generate_lnt_report
+ true
+ case "$ci_project" in
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/lnt-utils.sh
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/
+ local ci_project=tcwg_glibc_build
+ local ci_config=master-aarch64
+ local sumfiles_dir=artifacts/sumfiles
@@ -1448,12 +1443,12 @@ find: ‘artifacts/sumfiles’: No such file or directory
+ false
+ post_to_jira
+ set -euf -o pipefail
-+ echo '# post_to_jira'
# post_to_jira
++ echo '# post_to_jira'
+ local post_card_comment=false
+ local post_template_comment=false
+ false
+ false
+ false
-Full stage ran successfully.
+ echo 'Full stage ran successfully.'
+Full stage ran successfully.
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index cdd851c..056868e 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -21,23 +21,23 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-aarch64
-# Debug traces :
+ echo '# Debug traces :'
+# Debug traces :
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/784/'
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/784/
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/
# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/'
-+ echo '# Using dir : artifacts'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/'
# Using dir : artifacts
++ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
@@ -45,8 +45,8 @@
+ declare -Ag pw
+ '[' ignore = precommit ']'
+ check_source_changes
-# check_source_changes
+ echo '# check_source_changes'
+# check_source_changes
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
++ set +x
@@ -76,7 +76,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x5dd3bda59c2d9da138f0d98808d087cdb95cdc17 '!=' xf957f47df75b9fab995754011491edebc6feb147 ']'
+++ '[' x091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e '!=' x5dd3bda59c2d9da138f0d98808d087cdb95cdc17 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -89,17 +89,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ first_bad=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=f957f47df75b9fab995754011491edebc6feb147
++ last_good=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+ local res
+ res=0
-+ wait 56514
++ wait 63535
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -113,20 +113,20 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=f957f47df75b9fab995754011491edebc6feb147
++ base_rev=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ git -C glibc rev-parse '5dd3bda59c2d9da138f0d98808d087cdb95cdc17^@'
++ cur_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ git -C glibc rev-parse '091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' f957f47df75b9fab995754011491edebc6feb147 = f957f47df75b9fab995754011491edebc6feb147 ']'
++ '[' 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 = 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 ']'
+ return 0
++ change_kind=single_commit
# Debug traces :
# change_kind=single_commit : glibc
-+ change_kind=single_commit
+ echo '# Debug traces :'
+ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
@@ -136,18 +136,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=f957f47df75b9fab995754011491edebc6feb147
++ base_rev=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ git -C glibc rev-list --count f957f47df75b9fab995754011491edebc6feb147..5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ cur_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ git -C glibc rev-list --count 5dd3bda59c2d9da138f0d98808d087cdb95cdc17..091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+ c_commits=1
-# rev for glibc : f957f47df75b9fab995754011491edebc6feb147..5dd3bda59c2d9da138f0d98808d087cdb95cdc17 (1 commits)
++ echo '# rev for glibc : 5dd3bda59c2d9da138f0d98808d087cdb95cdc17..091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e (1 commits)'
+# rev for glibc : 5dd3bda59c2d9da138f0d98808d087cdb95cdc17..091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e (1 commits)
-+ echo '# rev for glibc : f957f47df75b9fab995754011491edebc6feb147..5dd3bda59c2d9da138f0d98808d087cdb95cdc17 (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -240,12 +240,12 @@
+ local tries=3
+ shift
+ local n=0
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+ local ret=0
+ '[' 0 -eq 3 ']'
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+ ret=0
-+ wait 56594
++ wait 63615
+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+ '[' 0 -eq 0 ']'
+ break
@@ -306,25 +306,34 @@ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/re
++ try_ref=refs/remotes/origin/master
++ ret=0
+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=58fc6c940b
+++ sha1=9d883b9e32
++ '[' 0 -ne 0 ']'
-++ echo 58fc6c940b
-+ sha1=58fc6c940b
-+ git -C interesting-commits checkout --detach 58fc6c940b
-Previous HEAD position was 8d46ef943c Add entry 8971d2788e79db2ffc1205ed36935483eedf2fab from https://ci.linaro.org/job/tcwg_gnu_native_check_gdb--master-arm-build/890/
-HEAD is now at 58fc6c940b Add entry 6e9ee44d96e5bda8808dd9d8ccf58d2525383f6b from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-thumb_m33_eabi-build/202/
+++ echo 9d883b9e32
++ sha1=9d883b9e32
++ git -C interesting-commits checkout --detach 9d883b9e32
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 7e5d8f612c Add entry 4458f245568fbed785cc8c9b83ff6f3887405dd9 from https://ci.linaro.org/job/tcwg_gdb_check--master-aarch64-build/461/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 7e5d8f612c
+
+HEAD is now at 9d883b9e32 Add entry f1837d9c3f2dc2a5c232f4eae4c4bd5a7f77baf8 from https://ci.linaro.org/job/tcwg_gnu_native_check_binutils--master-arm-build/519/
+ false
+ dryrun='echo DRYRUN: '
+ local jira_dir jira_key=
-++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ local dir=glibc/sha1
++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' 2 -ge 3 ']'
++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ jira_dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ jira_dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/jira
+++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ jira_dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ jira_dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/jira
+ '[' init = full ']'
+ true
+ git -C interesting-commits remote update -p
@@ -365,57 +374,57 @@ Fetching origin
+ local stage=init
+ local jira_key=
+ local subdir3 subdir4 subdir4
-++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ local dir=glibc/sha1
++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' 2 -ge 3 ']'
++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-+ subdir3=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
-++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 tcwg_glibc_build
+++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ subdir3=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e tcwg_glibc_build
++ local dir=glibc/sha1
++ '[' 3 -ge 2 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' 3 -ge 3 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
++ '[' 3 -ge 4 ']'
-++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
-+ subdir4=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
-++ interesting_subdir glibc 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 tcwg_glibc_build master-aarch64
+++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
++ subdir4=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
+++ interesting_subdir glibc 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e tcwg_glibc_build master-aarch64
++ local dir=glibc/sha1
++ '[' 4 -ge 2 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ '[' 4 -ge 3 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build
++ '[' 4 -ge 4 ']'
-++ dir=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
-++ echo glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
-+ subdir5=glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
-+ '[' -d interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17 ']'
-+ mkdir -p interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17
+++ dir=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e ']'
++ mkdir -p interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
+ get_current_manifest BUILD_URL
+ get_manifest artifacts/manifest.sh BUILD_URL
+ set +x
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/first_url
-+ mkdir -p interesting-commits/glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/first_url
++ mkdir -p interesting-commits/glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64
+ get_current_manifest BUILD_URL
+ get_manifest artifacts/manifest.sh BUILD_URL
+ set +x
-+ echo f957f47df75b9fab995754011491edebc6feb147
-+ git -C interesting-commits add glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/last_good
++ echo 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
++ git -C interesting-commits add glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/last_good
+ '[' init '!=' full ']'
+ return
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ git -C interesting-commits commit -m 'Add entry 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/'
-[detached HEAD 858d07561f] Add entry 5dd3bda59c2d9da138f0d98808d087cdb95cdc17 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/785/
++ git -C interesting-commits commit -m 'Add entry 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/'
+[detached HEAD c0ba372e86] Add entry 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/786/
3 files changed, 3 insertions(+)
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/first_url
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/build_url
- create mode 100644 glibc/sha1/5dd3bda59c2d9da138f0d98808d087cdb95cdc17/tcwg_glibc_build/master-aarch64/last_good
-+ wait 68898
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/first_url
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e/tcwg_glibc_build/master-aarch64/last_good
++ wait 75941
+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+ break
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 0f13461..e3a4419 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,4 +1,4 @@
-build_name="#785"
+build_name="#786"
docker_opts=(--distro
default
--arch
@@ -9,7 +9,7 @@ tcwg-jade-06
'' )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#785-glibc"
+build_name="#786-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#785-glibc-R1"
+build_name="#786-glibc-R1"